import * as React from 'react';
import { Switch } from 'react-router';
import { Link, Route } from 'react-router-dom';

 import { DropDownTest } from './containers/test/Sementic001';
 import { Page8 } from './containers/test/Page8';
 import { SignIn } from './containers/test/Page9';
 import { PWChange } from './containers/test/Page11';
 import { ProbeDown } from './containers/test/Page17';

import { Components } from './containers/test/Components';


export class Routes extends React.Component<any, any> {
  render() {
    return (
      <div>
        <h1>React Redux sample</h1>
        <li><Link to='/test' >TopBar</Link></li>
        <li><Link to='/test2' >Signup</Link></li>
        <li><Link to='/test3' >SignIn</Link></li>
        <li><Link to='/test4' >PWChange</Link></li>
        <li><Link to='/test5' >ProbeDown</Link></li>

        <li><Link to='/test14' >Insanity</Link></li>

        <Switch>
          <Route exact path='/test' component={DropDownTest} />
          <Route exact path='/test2' component={Page8} />
          <Route exact path='/test3' component={SignIn} />
          <Route exact path='/test4' component={PWChange} />
          <Route exact path='/test5' component={ProbeDown} />

          <Route exact path='/test14' component={Components} />
        </Switch>

      </div>
    );
  }
}
